Bug 480620 - Automatic detection of external monitor fails on lenovo Y410
Automatic detection of external monitor fails on lenovo Y410
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 09:04 EST by steve
Modified: 2009-11-12 10:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 10:04:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (609.58 KB, application/x-bzip2)
2009-01-19 09:06 EST, steve
no flags Details
dmesg from sosreport (34.95 KB, text/plain)
2009-01-19 19:32 EST, Matěj Cepl
no flags Details
xorg.conf from sosreport (803 bytes, text/plain)
2009-01-19 19:32 EST, Matěj Cepl
no flags Details
Xorg.0.log from sosreport (200.49 KB, text/plain)
2009-01-19 19:32 EST, Matěj Cepl
no flags Details

  None (edit)
Description steve 2009-01-19 09:04:42 EST
Description of problem:
The first time i connected an external monitor to the vga port of my laptop (a lenovo Y410), and restart X, the system failed to detect the external monitor (ie: the motnitor, still showed the "no signal" status message).

After this, I tried using system-config-display to configure dual head, but here the "Second Video Card" drop down was empty (so, i presume that is the problem, for some reason, the hardware is not visible to the driver). When I
tried to save the configuration, inspite of the empty "Second Video Card" option, i naturally got a traceback:

[steve@laptop ~]$ system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 212, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'

So, i unchecked the dual display option and restarted X. Now, the external monitor did get the signal but it now runs as a 'clone' (ie: the screens on the primary LCD and the external monitor as the same). Also, the external monitor
resolution is stuck at that of the primary display.

A sosreport is attached. Please let me know if you need anything else.



Version-Release number of selected component (if applicable):

[steve@laptop ~]$ rpm -qf /usr/lib64/xorg/modules/drivers/intel_drv.so 
xorg-x11-drv-i810-2.5.0-4.fc10.x86_64

[steve@laptop ~]$ lspci 
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
04:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g (rev 01)
06:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express (rev 02)
08:06.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
08:06.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
08:06.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
08:06.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
08:06.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)

How reproducible:
Always

Steps to Reproduce:
1. Install F10 with latest updates on lenovo Y410 laptop
2. Connect an external monitor
3. Try to configure displays to have individual desktops
  
Actual results:
The external monitor display is a clone of the primary display and it's resolution is limited to that of the primary display.

Expected results:
The external monitor should have a separate display (ie: the desktop should span across both exteral monitor and laptop LCD)

Additional info:
I am assuming here that the component select / rpm mentioned in this summary provides what is referred to as the 'intel' driver in the xorg.conf file.
Comment 1 steve 2009-01-19 09:06:38 EST
Created attachment 329344 [details]
sosreport
Comment 2 Matěj Cepl 2009-01-19 19:32:39 EST
Created attachment 329414 [details]
dmesg from sosreport
Comment 3 Matěj Cepl 2009-01-19 19:32:43 EST
Created attachment 329415 [details]
xorg.conf from sosreport
Comment 4 Matěj Cepl 2009-01-19 19:32:56 EST
Created attachment 329416 [details]
Xorg.0.log from sosreport
Comment 5 Vedran Miletić 2009-11-05 18:12:10 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 steve 2009-11-12 03:16:23 EST
This problem has been fixed. I don't know when it got fixed but I recently tested my fully updated F11 system and the automatic detection works out of the box (I had to do some manual twiddling to get the proper mode tho'). I'll check with F12 when it is released and report back with a new bz if there are problems.

thanks for all the work !!
- steve

Note You need to log in before you can comment on or make changes to this bug.